=== debian/changelog ===
libfreyja (0.9.5.15) feisty; urgency=low

  * Generated release

 -- Terry Hendrix (Mongoose) <mongooseichiban@gmail.com>  Thu, 14 Dec 2006 15:52:34 -0500
