=== debian/control ===
Source: libfreyja
Section: unknown
Priority: optional
Maintainer: mongoose <mongoose@icculus.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: libfreyja
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libhel
Description: Freyja backbone
 3d Modeler.
